Package org.drinkless.tdlib

# Class TdApi.SuggestedActionSetLoginEmailAddress

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.SuggestedAction
org.drinkless.tdlib.TdApi.SuggestedActionSetLoginEmailAddress

Enclosing class:
  `TdApi`

public static class TdApi.SuggestedActionSetLoginEmailAddress extends TdApi.SuggestedAction
Suggests the user to add login email address. Call isLoginEmailAddressRequired, and then setLoginEmailAddress or checkLoginEmailAddressCode to change the login email address.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.SuggestedAction

  `TdApi.SuggestedAction.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `boolean`
  `canBeHidden`
  True, if the suggested action can be hidden using hideSuggestedAction.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SuggestedActionSetLoginEmailAddress()`
  Suggests the user to add login email address.
  `SuggestedActionSetLoginEmailAddress(boolean canBeHidden)`
  Suggests the user to add login email address.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### canBeHidden

    public boolean canBeHidden
    True, if the suggested action can be hidden using hideSuggestedAction. Otherwise, the user must not be able to use the application without setting up the email address.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SuggestedActionSetLoginEmailAddress

    public SuggestedActionSetLoginEmailAddress()
    Suggests the user to add login email address. Call isLoginEmailAddressRequired, and then setLoginEmailAddress or checkLoginEmailAddressCode to change the login email address.

  - ### SuggestedActionSetLoginEmailAddress

    public SuggestedActionSetLoginEmailAddress(boolean canBeHidden)
    Suggests the user to add login email address. Call isLoginEmailAddressRequired, and then setLoginEmailAddress or checkLoginEmailAddressCode to change the login email address.
    Parameters:
      `canBeHidden` - True, if the suggested action can be hidden using hideSuggestedAction. Otherwise, the user must not be able to use the application without setting up the email address.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.SuggestedAction`
    Returns:
      this.CONSTRUCTOR